/*
 * (c) Copyright Improve S.A., 2002.
 * All Rights Reserved.
 */
package fr.improve.csharp.ui.internal;

import fr.improve.csharp.ui.internal.editor.CSharpCompilerAction;

import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.jface.util.PropertyChangeEvent;

/**
 * Used to listen to property changes.
 */
public class CSharpPropertyChangeListener implements IPropertyChangeListener {

	/*
	 * @see IPropertyChangeListener#propertyChange(PropertyChangeEvent)
	 */
	public void propertyChange(PropertyChangeEvent event) {
		String propertyName = event.getProperty();

		if (propertyName.equals(ICSharpPreferenceConstants.C_SHARP_COMPILER_PATH))
			CSharpCompilerAction.setCompilerLocation(CSharpUIPlugin.getDefault().getPreferenceStore().getString(ICSharpPreferenceConstants.C_SHARP_COMPILER_PATH));
	}

}