/*
 * (c) Copyright Improve S.A., 2002.
 * All Rights Reserved.
 */
package fr.improve.csharp.ui.internal.editor.csharp;


public interface ICSharpLanguageWords {

	String[] keywords = { "message", "mapsto", "node", "msgtypes", "iteration", "Intruder", "objective", "private"};

	String[] types = { "sender", "receiver", "data", }; //$NON-NLS-20$ //$NON-NLS-19$ //$NON-NLS-18$ //$NON-NLS-17$ //$NON-NLS-16$ //$NON-NLS-15$ //$NON-NLS-14$ //$NON-NLS-13$ //$NON-NLS-12$ //$NON-NLS-11$ //$NON-NLS-10$ //$NON-NLS-9$ //$NON-NLS-8$ //$NON-NLS-7$ //$NON-NLS-6$ //$NON-NLS-5$ //$NON-NLS-4$ //$NON-NLS-3$ //$NON-NLS-2$ //$NON-NLS-1$

	String[] constants = { "false", "null", "true" }; //$NON-NLS-3$ //$NON-NLS-2$ //$NON-NLS-1$
	
	String[] cSharpDocWords = { "c", "code", "example", "exception", "include", "list", "para", "param", "paramref", "permission", "see", "seealso", "summary", "remarks", "returns", "value" }; //$NON-NLS-16$ //$NON-NLS-15$ //$NON-NLS-14$ //$NON-NLS-13$ //$NON-NLS-12$ //$NON-NLS-11$ //$NON-NLS-10$ //$NON-NLS-9$ //$NON-NLS-8$ //$NON-NLS-7$ //$NON-NLS-6$ //$NON-NLS-5$ //$NON-NLS-4$ //$NON-NLS-3$ //$NON-NLS-2$ //$NON-NLS-1$
	
	/*
	 * Client should use this object, and not the ones above.
	 * The reason for that is that they can iterate over all the arrays, and
	 * it is then possible to add later other arrays in this interface.
	 */
	Object[] allWords = { keywords, types, constants };

}
